#version 430

#if defined VERTEX_SHADER

in vec3 in_position;

void main() {
    gl_Position = vec4(in_position, 1);
}

#elif defined FRAGMENT_SHADER

uniform sampler2D texture0;
out vec4 fragColor;

void main() {
    vec2 texel = gl_FragCoord.xy / textureSize(texture0, 0);
    texel.y = textureSize(texture0, 0).y-texel.y;
    fragColor = texture(texture0, texel);
}

#endif
